API reference OpenAPI 3.1
POST /match

Yente match

Yente-compatible multi-query match.

Bearer API key or staff session application/json operation yenteMatch

Request

Content type: application/json · required

FieldTypeRequiredDescription
queries object No —
curl -X POST "$MONICHEK_API/match" \
  -H "Authorization: Bearer $MONICHEK_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "queries": {}
}'
const res = await fetch(`${MONICHEK_API}/match`, {
  method: "POST",
  headers: {
    Authorization: `Bearer ${MONICHEK_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "queries": {}
  }),
});

const data = await res.json();
import os
import requests

res = requests.post(
    f"{os.environ['MONICHEK_API']}/match",
    headers={"Authorization": f"Bearer {os.environ['MONICHEK_API_KEY']}"},
    json={
      "queries": {}
    },
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/match');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('MONICHEK_API_KEY'),
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode([
        'queries' => [],
    ]),
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Responses

200 OK responses by query id application/json
{
  "responses": {
    "q1": {
      "results": [
        {
          "id": "ofac-5678",
          "datasets": [
            "us_ofac_sdn"
          ],
          "schema": "Person",
          "match": false,
          "properties": {
            "name": [
              "Viktor Anatolyevich Bout"
            ]
          },
          "score": 80
        }
      ],
      "status": {
        "status": 200
      },
      "query": {
        "schema": "Person",
        "properties": {
          "name": [
            "Viktor Bout"
          ]
        }
      }
    }
  }
}

Error responses

StatusMeaningBody
401 Unauthorized RFC 9457 problem
422 Unprocessable Entity RFC 9457 problem

Errors use the RFC 9457 problem format with a stable code.